# Gauge class

A measured value with a min and max. Initial value is min. Value will be clamped to the interval `min, max`.

Inheritance
  - Object
  - Metric
  - Gauge

## Constructors

Gauge(String name, String description, double min, double max)

## Properties

max → double
  final
min → double
  final
value ↔ double
  read / write
description → String
  description of this metric.
  final, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
name → String
  name of this metric.
  final, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited